##############################################
# Compiler and application sources
##############################################
CC = CC
cc = cc

#Application name
TARGET = illustrate

#Source files (with header)
SOURCES	= controls.cpp options.cpp grid3d.cpp dualmesh.cpp silhouette.cpp \
	viewer.cpp silviewer.cpp dualviewer.cpp meshviewer.cpp

#Source files without header
SRC_NOH = main.cpp

#All source files
ALLSRCS = $(SOURCES) $(SRC_NOH)

#All header files
HEADERS = ${SOURCES:.cpp=.h} $(HDR_NOC)

#All object files
OBJS = ${ALLSRCS:.cpp=.o}

#include directories
INCLUDES = -I../pui -I../qvlib/include -I../include

#other options
#OPTIONS = -g -ptused
OPTIONS = -DNDEBUG -O2 -ptused
#CCOPTS = -n32 -woff 1174 -MDupdate $(DEP)
CCOPTS = -OPT:Olimit=5000 -n32 -woff 1174 -MDupdate $(DEP)

#libs and lib directories
LIBS = -L../pui -L../qvlib/src -L../sub \
	-lpu -lsub -lqv -lglut -lGL -lGLU -lX11 -lXmu -lm

#dependencies
DEPOPTS = -M
DEP = Makedepend

CCFLAGS = $(INCLUDES) $(OPTIONS) $(CCOPTS)
LNKFLAGS = $(OPTIONS) $(LIBS)

##############################################
# Default rules
##############################################

.SUFFIXES : .cpp .o

.cpp :
	$(CC) $(CCFLAGS) -o $@ $<

.cpp.o :
	$(CC) $(CCFLAGS) -o $@ -c $<

##############################################
# Application-specific rules and dependencies
##############################################

$(TARGET) :	../sub/libsub.a $(OBJS)
	$(CC) -o $@ $(OBJS) $(LNKFLAGS)

depend :	$(ALLSRCS) $(HEADERS)
	$(CC) $(INCLUDES) $(DEPOPTS) $(ALLSRCS) > $(DEP)

clean :
	@rm -rf $(TARGET) $(VIEWER) $(OBJS) core ii_files $(DEP)

#include dependencies
sinclude $(DEP)

